PIP-LIST(1)

NAME
pip-list - description of pip list command

DESCRIPTION

List installed packages, including editables.

Packages are listed in a case-insensitive sorted order.

USAGE

pip [options]

OPTIONS

-o, --outdated
    List outdated packages

-u, --uptodate
    List uptodate packages

-e, --editable
    List editable projects.

-l, --local
    If in a virtualenv that has global access, do not list globally-installed packages.

--user
    Only output packages installed in user-site.

--pre
    Include pre-release and development versions. By default, pip only finds stable versions.

--format <list_format>
    Select the output format among: columns (default), freeze, or json

--not-required
    List packages that are not dependencies of installed packages.

--exclude-editable
    Exclude editable package from output.

--include-editable
    Include editable package from output.

AUTHOR
pip developers

COPYRIGHT
2008-2018, PyPA